# Imagick::linearStretchImage

(PECL imagick 2.0.0)

Imagick::linearStretchImage — Stretches with saturation the image intensity

### Description

Imagick::linearStretchImage ( float `$blackPoint` , float `$whitePoint` ) : bool

Stretches with saturation the image intensity.

### Parameters

`blackPoint`

  The image black point

`whitePoint`

  The image white point

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::linearStretchImage()

`<?php
function linearStretchImage($imagePath, $blackThreshold, $whiteThreshold) {
$imagick = new \Imagick(realpath($imagePath));
$pixels = $imagick->getImageWidth() * $imagick->getImageHeight();
$imagick->linearStretchImage($blackThreshold * $pixels, $whiteThreshold * $pixels);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`